import re

def convert_px_to_rem(css_content, base_font_size=16):
    # Función para convertir px a rem
    def px_to_rem(match):
        px_value = float(match.group(1))  # Cambié int() por float()
        rem_value = px_value / base_font_size
        return f"{rem_value}rem"
    
    # Patrón regex para encontrar valores en px
    px_pattern = re.compile(r'(\d+(\.\d+)?)px')
    
    # Reemplazar todos los valores de px por rem
    css_content = re.sub(px_pattern, px_to_rem, css_content)
    return css_content

def convert_css_file(input_file, output_file, base_font_size=16):
    # Abrir el archivo de entrada
    with open(input_file, 'r') as file:
        css_content = file.read()
    
    # Convertir los valores de px a rem
    new_css_content = convert_px_to_rem(css_content, base_font_size)
    
    # Guardar el contenido convertido en el archivo de salida
    with open(output_file, 'w') as file:
        file.write(new_css_content)
    print(f"El archivo CSS convertido ha sido guardado en: {output_file}")

# Ejemplo de uso
input_file = 'styles.css'  # Cambia esto al nombre de tu archivo CSS
output_file = 'styles_conbertidos.css'  # Nombre del archivo convertido
convert_css_file(input_file, output_file)
